# Generated by Django 2.2.24 on 2021-12-23 11:24

import django.db.models.deletion
import kobo.django.fields
from django.db import migrations, models


class Migration(migrations.Migration):

    dependencies = [
        ('scan', '0002_auto_20190611_1325'),
    ]

    operations = [
        migrations.AlterModelOptions(
            name='clientanalyzer',
            options={'ordering': ['analyzer', 'version']},
        ),
        migrations.AlterModelOptions(
            name='profile',
            options={'ordering': ['name']},
        ),
        migrations.AlterField(
            model_name='clientanalyzer',
            name='build_append',
            field=models.CharField(blank=True, help_text='analyzer name to put in --tools', max_length=32, null=True),
        ),
        migrations.AlterField(
            model_name='etmapping',
            name='comment',
            field=models.CharField(blank=True, default='', max_length=256),
        ),
        migrations.AlterField(
            model_name='etmapping',
            name='state',
            field=models.PositiveIntegerField(choices=[(0, 'OK'), (1, 'ERROR'), (2, 'INELIGIBLE')], default=0, help_text='Status of request'),
        ),
        migrations.AlterField(
            model_name='package',
            name='blocked',
            field=models.NullBooleanField(default=False, help_text='If this is set to True, the package is blocked -- not accepted for scanning.'),
        ),
        migrations.AlterField(
            model_name='package',
            name='eligible',
            field=models.NullBooleanField(default=True, help_text='DEPRECATED, do not use; use package attribute instead.'),
        ),
        migrations.AlterField(
            model_name='package',
            name='name',
            field=models.CharField(max_length=64, verbose_name='Package name'),
        ),
        migrations.AlterField(
            model_name='profile',
            name='command_arguments',
            field=kobo.django.fields.JSONField(default={}, help_text="this field has to contain key 'analyzers', which is a comma separated list of analyzers, optionally add key csmock_args, which is a string"),
        ),
        migrations.AlterField(
            model_name='scan',
            name='base',
            field=models.ForeignKey(blank=True, help_text='NVR of package to diff against', null=True, on_delete=django.db.models.deletion.CASCADE, related_name='base_scan', to='scan.Scan', verbose_name='Base Scan'),
        ),
        migrations.AlterField(
            model_name='scan',
            name='enabled',
            field=models.BooleanField(default=True, help_text='This scan is counted in statistics.'),
        ),
        migrations.AlterField(
            model_name='scan',
            name='nvr',
            field=models.CharField(help_text='Name-Version-Release', max_length=512, verbose_name='NVR'),
        ),
        migrations.AlterField(
            model_name='scan',
            name='parent',
            field=models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, related_name='parent_scan', to='scan.Scan', verbose_name='Parent Scan'),
        ),
        migrations.AlterField(
            model_name='scan',
            name='scan_type',
            field=models.PositiveIntegerField(choices=[(0, 'ERRATA'), (1, 'ERRATA_BASE'), (2, 'USER'), (3, 'REBASE'), (4, 'NEWPKG')], default=0, help_text='Scan Type'),
        ),
        migrations.AlterField(
            model_name='scan',
            name='state',
            field=models.PositiveIntegerField(choices=[(0, 'QUEUED'), (1, 'SCANNING'), (2, 'NEEDS_INSPECTION'), (3, 'WAIVED'), (4, 'PASSED'), (5, 'FINISHED'), (6, 'FAILED'), (7, 'BASE_SCANNING'), (8, 'CANCELED'), (9, 'DISPUTED'), (10, 'INIT'), (11, 'BUG_CONFIRMED')], default=10, help_text='Current scan state'),
        ),
        migrations.AlterField(
            model_name='scan',
            name='tag',
            field=models.ForeignKey(blank=True, help_text='Tag from brew', null=True, on_delete=django.db.models.deletion.CASCADE, to='scan.Tag', verbose_name='Tag'),
        ),
        migrations.AlterField(
            model_name='scanbinding',
            name='scan',
            field=models.OneToOneField(on_delete=django.db.models.deletion.CASCADE, to='scan.Scan', verbose_name='Scan'),
        ),
        migrations.AlterField(
            model_name='scanbinding',
            name='task',
            field=models.OneToOneField(blank=True, help_text='Asociated task on worker', null=True, on_delete=django.db.models.deletion.CASCADE, to='hub.Task', verbose_name='Asociated Task'),
        ),
        migrations.AlterField(
            model_name='systemrelease',
            name='active',
            field=models.BooleanField(default=True, help_text='If set to True,statistical data will be harvested for this system release.'),
        ),
        migrations.AlterField(
            model_name='systemrelease',
            name='product',
            field=models.CharField(max_length=128, verbose_name='Product name'),
        ),
        migrations.AlterField(
            model_name='systemrelease',
            name='tag',
            field=models.CharField(max_length=16, verbose_name='Short tag'),
        ),
        migrations.AlterField(
            model_name='tag',
            name='mock',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='mock_profile', to='scan.MockConfig', verbose_name='Mock Config'),
        ),
        migrations.AlterField(
            model_name='tag',
            name='name',
            field=models.CharField(max_length=64, verbose_name='Brew Tag'),
        ),
    ]
